# Copyright 2019 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

FROM openshift/golang-builder@sha256:2c34135dc4d4a35fa19775e4e559e2e6f2e476a0ccdc993360e3663729904035 AS builder
ENV __doozer=update BUILD_RELEASE=202201210133.p0.g73596b5.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.g73596b5.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=73596b5 OS_GIT_VERSION=4.8.0-202201210133.p0.g73596b5.assembly.stream-73596b5 SOURCE_DATE_EPOCH=1639354529 SOURCE_GIT_COMMIT=73596b5c3b6a8565f831ceed251441f62aa7288e SOURCE_GIT_TAG=v0.1.0-alpha.3-224-g73596b5c SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 
WORKDIR /go/src/sigs.k8s.io/cluster-api-provider-azure
COPY . .
# VERSION env gets set in the openshift/release image and refers to the golang version, which interferes with our own
RUN unset VERSION \
  && GOPROXY=off NO_DOCKER=1 make build

FROM openshift/ose-base:v4.8.0-202112141153.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202201210133.p0.g73596b5.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202201210133.p0.g73596b5.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=73596b5 OS_GIT_VERSION=4.8.0-202201210133.p0.g73596b5.assembly.stream-73596b5 SOURCE_DATE_EPOCH=1639354529 SOURCE_GIT_COMMIT=73596b5c3b6a8565f831ceed251441f62aa7288e SOURCE_GIT_TAG=v0.1.0-alpha.3-224-g73596b5c SOURCE_GIT_URL=https://github.com/openshift/cluster-api-provider-azure 
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/bin/machine-controller-manager /
COPY --from=builder /go/src/sigs.k8s.io/cluster-api-provider-azure/bin/termination-handler /

LABEL \
        name="openshift/ose-azure-machine-controllers" \
        com.redhat.component="ose-azure-machine-controllers-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Cloud Compute" \
        io.openshift.maintainer.subcomponent="Other Providers" \
        release="202201210133.p0.g73596b5.assembly.stream" \
        io.openshift.build.commit.id="73596b5c3b6a8565f831ceed251441f62aa7288e" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-api-provider-azure" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-api-provider-azure/commit/73596b5c3b6a8565f831ceed251441f62aa7288e" \
        version="v4.8.0"

